# Assign Sirens

### SIREN\_ASSIGNEMENTS Table

{% code title="SIRENS.lua" %}

```lua
SIREN_ASSIGNMENTS = {
--['<gameName>'] = { <airhorn tone>, <siren tone-1>, <siren tone-2>, ... <siren tone-n> },
['DEFAULT'] = { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 }, 
['FIRETRUK'] = { 12, 13, 14, 11 }, 
['AMBULAN'] = { 1, 2, 3, 4, 11 }, 
['LGUARD'] = { 1, 2, 3, 4, 11 },
}
```

{% endcode %}

In this table you can add additional vehicles for assignment using the vehicles `<gameName>` exactly as found in `vehicles.meta`. **It is case sensitive**.

<details>

<summary>vehicles.meta example:</summary>

```xml
...
<modelName>so2</modelName> <!-- SPAWN NAME -->
<handlingId>so2</handlingId>
<gameName>so2</gameName> <!-- GAME NAME (WHAT LVC USES) -->
<vehicleMakeName />
<expressionDictName>null</expressionDictName>
...
```

</details>

* Both R\* and LVC:v3 truncate down to 11 characters. **It is important that the first 11 characters are unique.**
  * **Example**:\
    If my addon vehicles `<gameName>` is "*2008 Ford CVPI CHP*" and I have another vehicle "*2008 Ford CVPI LSPD*" both of these after truncate equate to "*2008 Ford C*" therefor LVC:v3 will not be able to differentiate these.&#x20;

{% hint style="danger" %}
**The default or fallback key `['DEFAULT']` should always be present and never removed. Doing so will result in issues.**
{% endhint %}

### **Wildcards**

Supported Wildcards:

* `#` represents 1 or more digits.

#### How it works:

1. LVC:v3 checks for vehicle profile matching game name. *e.g.* `['2008fpiu1']`
2. If not found, attempts wildcard search, meaning wildcards will be used *secondary* to custom profiles. *e.g.* `['2008fpiu#']`
3. If not found, attempts a less specific wildcard search, leading and trailing numbers. *e.g.* `['#fpiu#']` *(v3.2.7)*
4. If not found, use default profile. *e.g.* `['DEFAULT']`

*Example*:\
\* `['veh#'] = { ... }` will be used for vehicles with game names `veh1`, `veh2`, ..., `veh9999`, etc. where exact profile not found.

{% hint style="info" %}
Examples and premade packs can be found here: [LVC:v3 Extras](https://github.com/TrevorBarns/luxart-vehicle-control-extras/).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luxartengineering.com/v3/resource-installation/assign-sirens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
